Switching PHP Versions

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Switching PHP Versions

Postby Psybadek » 29. July 2004 05:27

I have the newest version of XAMPP, and at the moment, im using PHP 5, how do I switch it to php 4.3.8?
Posts: 1
Joined: 29. July 2004 05:19

Postby Bugman » 30. July 2004 01:24

Try uninstalling php 5 and reinstalling the version 4

Posts: 53
Joined: 13. July 2004 23:39


Postby potatosalad » 30. July 2004 02:46

ehh, how about running php-switch.bat under the xampp directory. it backs up your php5 files and copies the php4.3.8 files in.
Põtåtõ §ålåÐ - Ðelicious Image
User avatar
Posts: 13
Joined: 26. April 2004 02:44
Location: Kennesaw, GA, USA

Postby Ringer » 14. August 2004 22:06

Im havin trouble usin the switch bat..

it keeps sayin that apache is still running..

all services are shut down and I even removed xampp and on a fresh install it told me apache was running..

am I missing something/?
Posts: 5
Joined: 11. August 2004 03:58

Postby MXB » 15. November 2004 19:43

I've had the same problem :: The script kept telling me that Apache was running, even though it was not. Do you have a firewall running? Even if it is not "enabled" it may still be handling or checking port 80. Make sure you turn these off. This was the case with me - Norton Internet Security was checking port 80. I stopped that and the php-switch worked fine.

The process to switch PHP versions checks to see if anything is handling port 80 (like Apache), tho' I guess it doesn't go to far into what is doing it...
Posts: 1
Joined: 15. November 2004 19:31

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 39 guests